#!/usr/bin/perl
#
#    Cluster Systems Management Webmin Module
#    Copyright (C) 2002 by IBM Corp.
#
# Diagnose problems on the node

use strict;
BEGIN { $::CSMDIR = '..'; }
use lib "$::CSMDIR";
require GuiUtils;
GuiUtils->init();

# Go to the page corresponding to the button
#if ($::in{propButton}) { &redirect("cond-props.cgi?" . getParams()); }
#elsif ($::in{createButton}) { &redirect("cond-props.cgi?" . getParams()); }

GuiUtils->addHeader(undef, 0, 'Diagnose Node');

my $nodelist = GuiUtils->processNodelist($::in{nodes}, (Array=>1));

my $code = GuiUtils->processHTML('index-src.html');
eval $code;
if (length($@)) { print "<P>$@</P>"; }

&footer('', 'CSM Home');
