#!/usr/bin/perl
#
#    Cluster Systems Management Webmin Module
#    Copyright (C) 2002 by IBM Corp.
#
# Display refresh and data frames of install monitor page

use strict;
BEGIN { $::CSMDIR = '..'; }
use lib "$::CSMDIR";
require GuiUtils;
GuiUtils->init();

#my $refreshWidth = $::GUI_VERBOSE ? '140' : '0';
my $refreshHeight = '140';
my $refreshWidth = '250';

# This is used instead of $ENV{QUERY_STRING} so it works with the POST method
my $params = GuiUtils->buildURLParams(\%::in);

&main::PrintHeader();

# the place to save the last sequence # we have read in the auditlog
#my $LAST_EVENT_FILE = '.LastPerfEventTime';       # this same value is also in perfmon.cgi

#$::GUI_VERBOSE = $::VERBOSE = 0;    # cannot have any output occuring before the frames
#GuiUtils->initEvents($LAST_EVENT_FILE);

print <<"END_OF_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<META http-equiv="Content-Style-Type" content="text/css">
<TITLE></TITLE>
</HEAD>
<FRAMESET rows="*,$refreshHeight" frameborder=NO border=0>
 <FRAME src="monitor.cgi?$params" name=installmon>
 <FRAMESET cols="*,$refreshWidth" frameborder=NO border=0>
  <FRAME src="monitor.cgi?tips=1&$params" name=installmontips noresize scrolling=no>
  <FRAME src="monitor.cgi?refresh=1&$params" name=installmonrefresh noresize scrolling=auto>
 </FRAMESET>
  <NOFRAMES>
  <BODY>
  <P>To view this page, you need a browser that supports frames.</P>
  </BODY>
  </NOFRAMES>
</FRAMESET>
</HTML>
END_OF_HTML

